> For the complete documentation index, see [llms.txt](https://docs.soraco.co/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/properties/elicensestatus.md).

# ELicenseStatus

Enum of all possible values of the license key status. Note that the status can consist of a combination of these values. For example, a status of 72 means the license is a demo license that has expired (8 + 64).

&#x20;

| ***Flag***                     | **Description**                                                                                                                                                                                                                                                                                                                             | **Value** |
| ------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------- |
| *EKeyPermanent*                | The license key is valid and it is a permanent license key.                                                                                                                                                                                                                                                                                 | 2         |
| *EKeyDemo*                     | The license key is an evaluation or a subscription key. To distinguish between a trial and a subscription, check this [article](https://support.soraco.co/hc/en-us/articles/218107343).                                                                                                                                                     | 4         |
| *EKeyInvalid*                  | The license key is invalid. It was not decoded succesfully.                                                                                                                                                                                                                                                                                 | 8         |
| *EKeyProductInvalid*           | The product ID of the license key does not correspond to the expected Product ID.                                                                                                                                                                                                                                                           | 16        |
| *EKeyVersionInvalid*           | The Major or Minor version of the license key does not correspond to the expected Major or Minor version.                                                                                                                                                                                                                                   | 32        |
| *EKeyExpired*                  | The license key has expired.                                                                                                                                                                                                                                                                                                                | 64        |
| *EKeyTampered*                 | The license key was tampered typically indicating that the user is attempting to set the date back to run the software.                                                                                                                                                                                                                     | 128       |
| *EKeyMachineInvalid*           | f you are using computer bound license keys, an EKeyMachineInvalid status indicates that the license key that was validated does not match the computer to which the license key was bound.                                                                                                                                                 | 256       |
| *EKeyNeedsActivation*          | This flag indicates that the license key is an activation key. If you detect an activation key, you should not enable your application. You should just allow the user to activate his license. Once the license is activated, a computer bound key is issued. Once you detect a valid computer bound key, you can enable your application. | 512       |
| *EKeyExceededAllowedInstances* | When running in the context of a Terminal Server, this flag indicates that the maximum number of allowed instances of your application was exceeded.                                                                                                                                                                                        | 1024      |
| *EKeyRevoked*                  | This flag indicates that the license was revoked.                                                                                                                                                                                                                                                                                           | 2048      |

&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/properties/elicensestatus.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
